## org.hibernate.engine.query
Interface ParameterParser.Recognizer

All Known Implementing Classes:
  ParamLocationRecognizer, SQLQueryParser.ParameterSubstitutionRecognizer

Enclosing class:
  ParameterParser

    public static interface ParameterParser.Recognizer

Method Summary
`void` `jpaPositionalParameter(String name, int position)`
`void` `namedParameter(String name, int position)`
`void` `ordinalParameter(int position)`
`void` `other(char character)`
`void` `outParameter(int position)`

Method Detail

### outParameter

    void outParameter(int position)

### ordinalParameter

    void ordinalParameter(int position)

### namedParameter

    void namedParameter(String name,
                        int position)

### jpaPositionalParameter

    void jpaPositionalParameter(String name,
                                int position)

### other

    void other(char character)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.